Import jobs
Catalog import jobs. Authorization: Bearer ak_.... Required scope includes read:inventory. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/inventory/import-jobs?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}Start a catalog import. Authorization: Bearer ak_.... Required scope includes write:inventory. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/inventory/import-jobs?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}One import job. Authorization: Bearer ak_.... Required scope includes read:inventory. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/inventory/import-jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}Patch an import job. Authorization: Bearer ak_.... Required scope includes write:inventory. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/inventory/import-jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}Delete an import job. Authorization: Bearer ak_.... Required scope includes write:inventory. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/inventory/import-jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}Commit a prepared catalog import. Authorization: Bearer ak_.... Required scope includes write:inventory. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/inventory/import-jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/commit?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}